Name:           guestfs-browser
Version:        0.0.3
Release:        1%{?dist}
Summary:        Guest filesystem browser

Group:          Applications/Emulators
License:        GPLv2+

URL:            http://people.redhat.com/~rjones/guestfs-browser/
Source0:        http://people.redhat.com/~rjones/guestfs-browser/files/guestfs-browser-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  ocaml-libguestfs-devel
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-lablgtk-devel


%description
The Guest Filesystem Browser lets you browse inside the filesystems of
virtual machines and disk images using a simple graphical interface.

This package delivers some of the features of libguestfs and the
guestfish scripting tool to users who don't want to use the command
line.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}
make docs


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING HACKING README
%doc doc
%{_bindir}/guestfs-browser


%changelog
* Fri Jul  9 2010 Richard W.M. Jones <rjones@redhat.com> - 0.0.3-1
- Initial RPM release.
